<?php
   function aether_get_next_cron_time( $cron_name ){
       foreach( _get_cron_array() as $timestamp => $crons ){
           if( in_array( $cron_name, array_keys( $crons ) ) ){
               return $timestamp - time();
           }
       }
       return false;
   }
   function aether_admin_settings()
   {
   ?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
   <div>
      <form id="myForm" method="post" action="<?php if(is_multisite() && is_network_admin()){echo '../options.php';}else{echo 'options.php';}?>">
         <?php
            settings_fields('aether_option_group');
            do_settings_sections('aether_option_group');
            $aether_Main_Settings = get_option('aether_Main_Settings', false);
            if (isset($aether_Main_Settings['aether_enabled'])) {
                $aether_enabled = $aether_Main_Settings['aether_enabled'];
            } else {
                $aether_enabled = '';
            }
            if (isset($_GET['settings-updated'])) {
            ?>
         <div id="message" class="updated">
            <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Settings saved.', 'aether-content-hider');?></strong></p>
         </div>
         <?php
            $get = get_option('coderevolution_settings_changed', 0);
            if($get == 1)
            {
                delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration failed!', 'aether-content-hider');?></strong></p>
         </div>
         <?php 
            }
            elseif($get == 2)
            {
                    delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration successful!', 'aether-content-hider');?></strong></p>
         </div>
         <?php 
            }
                }
            ?>
         <div>
            <div class="aether_class">
               <table>
                  <tr>
                     <td>
                        <h1>
                           <span class="gs-sub-heading"><b>Aether Content Hider Plugin - <?php echo esc_html__('Main Switch:', 'aether-content-hider');?></b>&nbsp;</span>
                           <span class="cr_07_font">v1.0&nbsp;</span>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Enable or disable this plugin. This acts like a main switch.", 'aether-content-hider');
                                    ?>
                              </div>
                           </div>
                        </h1>
                     </td>
                     <td>
                        <div class="slideThree">	
                           <input class="input-checkbox" type="checkbox" id="aether_enabled" name="aether_Main_Settings[aether_enabled]"<?php
                              if ($aether_enabled == 'on')
                                  echo ' checked ';
                              ?>>
                           <label for="aether_enabled"></label>
                        </div>
                     </td>
                  </tr>
               </table>
            </div>
            <div><?php if($aether_enabled != 'on'){echo '<div class="crf_bord cr_color_red cr_auto_update">' . esc_html__('This feature of the plugin is disabled! Please enable it from the above switch.', 'aether-content-hider') . '</div>';}?>
               <table>
                  <tr>
                     <td colspan="2">
                        <?php
                           $plugin = plugin_basename(__FILE__);
                           $plugin_slug = explode('/', $plugin);
                           $plugin_slug = $plugin_slug[0]; 
                           $uoptions = get_option($plugin_slug . '_registration', array());
                           if(isset($uoptions['item_id']) && isset($uoptions['item_name']) && isset($uoptions['created_at']) && isset($uoptions['buyer']) && isset($uoptions['licence']) && isset($uoptions['supported_until']))
                           {
                           ?>
                        <h3><b><?php echo esc_html__("Plugin Registration Info - Automatic Updates Enabled:", 'aether-content-hider');?></b> </h3>
                        <ul>
                           <li><b><?php echo esc_html__("Item Name:", 'aether-content-hider');?></b> <?php echo esc_html($uoptions['item_name']);?></li>
                           <li>
                              <b><?php echo esc_html__("Item ID:", 'aether-content-hider');?></b> <?php echo esc_html($uoptions['item_id']);?>
                           </li>
                           <li>
                              <b><?php echo esc_html__("Created At:", 'aether-content-hider');?></b> <?php echo esc_html($uoptions['created_at']);?>
                           </li>
                           <li>
                              <b><?php echo esc_html__("Buyer Name:", 'aether-content-hider');?></b> <?php echo esc_html($uoptions['buyer']);?>
                           </li>
                           <li>
                              <b><?php echo esc_html__("License Type:", 'aether-content-hider');?></b> <?php echo esc_html($uoptions['licence']);?>
                           </li>
                           <li>
                              <b><?php echo esc_html__("Supported Until:", 'aether-content-hider');?></b> <?php echo esc_html($uoptions['supported_until']);?>
                           </li>
                        </ul>
                        <?php
                           }
                           else
                           {
                           ?>
                        <div class="notice notice-error is-dismissible"><p><?php echo esc_html__("Automatic updates for this plugin are disabled. Please activate the plugin from below, so you can benefit of automatic updates for it!", 'aether-content-hider');?></p></div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo sprintf( wp_kses( __( 'Please input your Envato purchase code, to enable automatic updates in the plugin. To get your purchase code, please follow <a href="%s" target="_blank">this tutorial</a>. Info submitted to the registration server consists of: purchase code, site URL, site name, admin email. All these data will be used strictly for registration purposes.', 'aether-content-hider'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//coderevolution.ro/knowledge-base/faq/how-do-i-find-my-items-purchase-code-for-plugin-license-activation/' ) );
                                 ?>
                           </div>
                        </div>
                        <b><?php echo esc_html__("Register Envato Purchase Code To Enable Automatic Updates:", 'aether-content-hider');?></b>
                     </td>
                     <td><input type="text" name="<?php echo esc_html($plugin_slug);?>_register_code" class="cr_width_100" value="" placeholder="<?php echo esc_html__("Envato Purchase Code", 'aether-content-hider');?>"></td>
                  </tr>
                  <tr>
                     <td></td>
                     <td><input type="submit" name="<?php echo esc_html($plugin_slug);?>_register" id="<?php echo esc_html($plugin_slug);?>_register" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Register Purchase Code", 'aether-content-hider');?>"/>
                        <?php
                           }
                           ?>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <hr/>
                     </td>
                     <td>
                        <hr/>
                     </td>
                  </tr>
               <tr><td colspan="2">
               <h3>
                  <ul>
                     <li><?php echo sprintf( wp_kses( __( 'Need help configuring this plugin? Please check out it\'s <a href="%s" target="_blank">video tutorial</a>.', 'aether-content-hider'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://www.youtube.com/watch?v=16aNwuwPTuI' ) );?>
                     </li>
                     <li><?php echo sprintf( wp_kses( __( 'Having issues with the plugin? Please be sure to check out our <a href="%s" target="_blank">knowledge-base</a> before you contact our support!', 'aether-content-hider'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//coderevolution.ro/knowledge-base' ) );?></li>
                     <li><?php echo sprintf( wp_kses( __( 'Do you enjoy our plugin? Please give it a <a href="%s" target="_blank">rating</a>  on CodeCanyon, or even more: <a href="%s" target="_blank">support our innovative plugin development on Patreon</a>!', 'aether-content-hider'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//codecanyon.net/downloads' ), esc_url( 'https://www.patreon.com/coderevolution' ) );?></li>
                     <li><br/><br/><span class="cr_color_red"><?php echo esc_html__("Are you looking for a cool new theme that best fits this plugin?", 'aether-content-hider');?></span> <a onclick="revealRec()" class="cr_cursor_pointer"><?php echo esc_html__("Click here for our theme related recommendation", 'aether-content-hider');?></a>.
                        <br/><span id="diviIdrec"></span>
                     </li>
                  </ul>
               </h3>
               <hr/>
               <p>
               <h3><?php echo esc_html__("Available shortcodes (also Gutenberg block alternative for each):", 'aether-content-hider');?> </h3>
               <ul class="cr_list_type">
                  <li><b>[aether-hide-by-time]</b> - <?php echo esc_html__("to hide content by date or time. Parameters: show={date} - when to start showing the contents of the shortcode, hide={date} - when to start hiding the contents of the shortcode, replacement={HTML} - what to show when the contents are hidden. Usage example:", 'aether-content-hider');?>  <b>[aether-hide-by-time hide="2017-09-01"]Please enter our contest.[/aether-hide-by-time] [aether-hide-by-time show="2017-09-01" replacement="Contest closes 2017-08-01"]Sorry, this contest has closed[/aether-hide-by-time]</b></li>
                  <li><b>[aether-hide-by-time-repeated]</b> - <?php echo esc_html__("to show/hide content repeatedly, by date or time. Parameters: type={daily,weekly,monthly,annually} ontime={hour} offtime={hour} onday={day} offday={day} ondate={date} offdate={date} onmonth={month} offmonth={month} replacement={HTML}. Usage example:", 'aether-content-hider');?> <b>[aether-hide-by-time-repeated  type="annually" onmonth="December" ondate="24" offmonth="January" offdate="05" ontime="17:00:00" offtime="08:00:00" replacement="You still have to wait until Christmas!"]Happy Christmas![/aether-hide-by-time-repeated]</b></li>
                  <li><b>[aether-hide-not-logedin]</b> - <?php echo esc_html__("to show/hide content if user is not logged in. Usage example:", 'aether-content-hider');?> <b>[aether-hide-not-logedin replacement="You are not logged in!"]You are logged in![/aether-hide-not-logedin]</b></li>
                  <li><b>[aether-hide-logedin]</b> - <?php echo esc_html__("to show/hide content if user is logged in. Usage example:", 'aether-content-hider');?> <b>[aether-hide-logedin replacement="You are logged in!"]You are not logged in![/aether-hide-logedin]</b></li>
                  <li><b>[aether-hide-mobile]</b> - <?php echo esc_html__("to show/hide content if user is using a mobile device. Usage example:", 'aether-content-hider');?> <b>[aether-hide-mobile replacement="You are not allowed to view this page on a mobile device!"]Some cool content.[/aether-hide-mobile]</b></li>
                  <li><b>[aether-hide-by-browser]</b> - <?php echo esc_html__("to show/hide content if user is using a predefined browser. Usage example:", 'aether-content-hider');?> <b>[aether-hide-by-browser show_on="chrome" replacement="You are not allowed to view this page on this browser!"]Some cool content.[/aether-hide-by-browser]</b></li>
                  <li><b>[aether-hide-by-comment]</b> - <?php echo esc_html__("to show/hide content if user did not comment on post or if the comment does not meet some requirements. Parameters: min_lenght={min character count} max_lenght={max character count} anti_spam={yes/on/1} link_exceptions={link1,link2,link3} replacement={HTML}.  Usage example:", 'aether-content-hider');?> <b>[aether-hide-by-comment min_lenght="10" max_lenght="50" anti_spam="yes"]Your comment is AWESOME![/aether-hide-by-comment]</b></li>
                  <li><b>[aether-hide-by-user-name]</b> - <?php echo esc_html__("to show/hide content if user with predefined user name.  Usage example:", 'aether-content-hider');?> <b>[aether-hide-by-user-name user_names="myusername" replacement="You are not allowed to view this page!"]Some cool content.[/aether-hide-by-user-name]</b></li>
                  <li><b>[aether-hide-by-user-role]</b> - <?php echo esc_html__("to show/hide content if user with predefined user role.  Usage example:", 'aether-content-hider');?> <b>[aether-hide-by-user-role user_roles="administrator" replacement="You are not allowed to view this page, not enough user rights!"]Some cool content.[/aether-hide-by-user-role]</b></li>
                  <li><b>[aether-hide-by-country]</b> - <?php echo esc_html__("to show/hide content if user is not from predefined country. Usage example:", 'aether-content-hider');?> <b>[aether-hide-by-country user_countries="United States" replacement="You are not allowed to view this page from your country!"]Awesome content here.[/aether-hide-by-country]</b></li>
                  <li><b>[aether-hide-by-referrer]</b> - <?php echo esc_html__("to show/hide content based on user's HTTP referrer website. Usage example:", 'aether-content-hider');?> <b>[aether-hide-by-referrer user_referrer="https://www.facebook.com/" replacement="You are not allowed to view this page because you did not come from Facebook!"]Awesome content here.[/aether-hide-by-referrer]</b></li>
               </ul>
               </p>
            </div>
<?php
$timestamp = time();
$date_time = date("d-m-Y (D) H:i:s", $timestamp);
echo esc_html__("Current date and local time on this server is: ", 'aether-content-hider') . $date_time;
?>
         </div>
         <hr/>
         <div>
            <p class="submit"><input type="submit" name="btnSubmit" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Save Settings", 'aether-content-hider');?>"/></p>
         </div>
      </form>
   </div>
</div>
<?php
   }
   ?>