<?php
/** 
Plugin Name: Aether Content Hider
Plugin URI: //1.envato.market/coderevolution
Description: This plugin will hide content, depending on some predefined parameters
Author: CodeRevolution
Version: 1.1.7
Author URI: //1.envato.market/coderevolution
License: Commercial. For personal use only. Not to give away or resell.
Text Domain: aether-content-hider
*/
/*  
Copyright 2016 - 2019 CodeRevolution
*/
defined('ABSPATH') or die();

function aether_load_textdomain() {
    load_plugin_textdomain( 'aether-content-hider', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
}
add_action( 'init', 'aether_load_textdomain' );

$plugin = plugin_basename(__FILE__);
if(is_admin())
{
    $plugin_slug = explode('/', $plugin);
    $plugin_slug = $plugin_slug[0];
    if(isset($_POST[$plugin_slug . '_register']) && isset($_POST[$plugin_slug. '_register_code']) && trim($_POST[$plugin_slug . '_register_code']) != '')
    {
        update_option('coderevolution_settings_changed', 1);
        if(strlen(trim($_POST[$plugin_slug . '_register_code'])) != 36 || strstr($_POST[$plugin_slug . '_register_code'], '-') == false)
        {  
        }
        else
        {
            $ch = curl_init('https://wpinitiate.com/verify-purchase/purchase.php');
            if($ch !== false)
            {
                $data           = array();
                $data['code']   = trim($_POST[$plugin_slug . '_register_code']);
                $data['siteURL']   = get_bloginfo('url');
                $data['siteName']   = get_bloginfo('name');
                $data['siteEmail']   = get_bloginfo('admin_email');
                $fdata = "";
                foreach ($data as $key => $val) {
                    $fdata .= "$key=" . urlencode(trim($val)) . "&";
                }
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS, $fdata);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
                curl_setopt($ch, CURLOPT_TIMEOUT, 60);
                curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
                $result = curl_exec($ch);
                curl_close($ch);
                if($result === false)
                {
                    
                }
                else
                {
                    if($result == 'error1' || $result == 'error2' || $result == 'error3' || $result == 'error4')
                    {
                        
                    }
                    else
                    {
                        $rj = json_decode($result, true);
                        if(isset($rj['item_name']))
                        {
                            $rj['code'] = $_POST[$plugin_slug . '_register_code'];
                            if($rj['item_id'] == '20447063' || $rj['item_id'] == '13371337' || $rj['item_id'] == '19200046')
                            {
                                update_option($plugin_slug . '_registration', $rj);
                                update_option('coderevolution_settings_changed', 2);
                            }
                        }
                    }
                }
            }
        }
    }
    $uoptions = get_option($plugin_slug . '_registration', array());
    if(isset($uoptions['item_id']) && isset($uoptions['item_name']) && isset($uoptions['created_at']) && isset($uoptions['buyer']) && isset($uoptions['licence']) && isset($uoptions['supported_until']))
    {
        require "update-checker/plugin-update-checker.php";
        $fwdu3dcarPUC = Puc_v4_Factory::buildUpdateChecker("https://wpinitiate.com/auto-update/?action=get_metadata&slug=aether-content-hider", __FILE__, "aether-content-hider");
    }
    else
    {
        add_action("after_plugin_row_{$plugin}", function( $plugin_file, $plugin_data, $status ) {
          $cr_myplugin_url = '//codecanyon.net/item/aether-content-hider-plugin-for-wordpress/20447063';
          echo '<tr class="active"><td>&nbsp;</td><td colspan="2"><p class="cr_auto_update">';
          echo sprintf( wp_kses( __( 'The plugin is not registered. Automatic updating is disabled. Please purchase a license for it from <a href="%s" target="_blank">here</a> and register  the plugin from the \'Main Settings\' menu using your purchase code. <a href="%s" target="_blank">How I find my purchase code?', 'aether-content-hider'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'http://1.envato.market/c/1264868/275988/4415?u=' . urlencode($cr_myplugin_url)), esc_url('//www.youtube.com/watch?v=NElJ5t_Wd48') );     
          echo '</a></p> </td></tr>';
        }, 10, 3 );
        add_action('admin_enqueue_scripts', 'aether_admin_enqueue_all');
        add_filter("plugin_action_links_$plugin", 'aether_add_activation_link');
    }
}
function aether_admin_enqueue_all()
{
    $reg_css_code = '.cr_auto_update{background-color:#fff8e5;margin:5px 20px 15px 20px;border-left:4px solid #fff;padding:12px 12px 12px 12px !important;border-left-color:#ffb900;}';
    wp_register_style( 'aether-plugin-reg-style', false );
    wp_enqueue_style( 'aether-plugin-reg-style' );
    wp_add_inline_style( 'aether-plugin-reg-style', $reg_css_code );
}
function aether_add_activation_link($links)
{
    $settings_link = '<a href="admin.php?page=aether_admin_settings">' . esc_html__('Activate Plugin License', 'aether-content-hider') . '</a>';
    array_push($links, $settings_link);
    return $links;
}

add_action('admin_menu', 'aether_register_my_custom_menu_page');
add_action('network_admin_menu', 'aether_register_my_custom_menu_page');
function aether_register_my_custom_menu_page()
{
    add_menu_page('Aether Content Hider', 'Aether Content Hider', 'manage_options', 'aether_admin_settings', 'aether_admin_settings', plugins_url('images/icon.png', __FILE__));
    $main = add_submenu_page('aether_admin_settings', esc_html__("Main Settings", 'aether-content-hider'), esc_html__("Main Settings", 'aether-content-hider'), 'manage_options', 'aether_admin_settings');
    add_action( 'load-' . $main, 'aether_load_all_admin_js' );
}

function aether_add_rating_link($links)
{
    $settings_link = '<a href="//codecanyon.net/downloads" target="_blank" title="Rate">
            <i class="wdi-rate-stars"><svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 24 24" fill="#ffb900" stroke="#ffb900" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg><svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 24 24" fill="#ffb900" stroke="#ffb900" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg><svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 24 24" fill="#ffb900" stroke="#ffb900" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg><svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 24 24" fill="#ffb900" stroke="#ffb900" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg><svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 24 24" fill="#ffb900" stroke="#ffb900" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg></i></a>';
    array_push($links, $settings_link);
    return $links;
}
add_filter("plugin_action_links_$plugin", 'aether_add_support_link');
function aether_add_support_link($links)
{
    $settings_link = '<a href="//coderevolution.ro/knowledge-base/" target="_blank">' . esc_html__('Support', 'aether-content-hider') . '</a>';
    array_push($links, $settings_link);
    return $links;
}
add_filter("plugin_action_links_$plugin", 'aether_add_settings_link');
add_filter("plugin_action_links_$plugin", 'aether_add_rating_link');
function aether_add_settings_link($links)
{
    $settings_link = '<a href="admin.php?page=aether_admin_settings">' . esc_html__('Settings', 'aether-content-hider') . '</a>';
    array_push($links, $settings_link);
    return $links;
}

register_activation_hook(__FILE__, 'aether_activation_callback');
function aether_activation_callback($defaults = FALSE)
{
    if (!get_option('aether_Main_Settings') || $defaults === TRUE) {
        $aether_Main_Settings = array(
            'aether_enabled' => 'on'
        );
        if ($defaults === FALSE) {
            add_option('aether_Main_Settings', $aether_Main_Settings);
        } else {
            update_option('aether_Main_Settings', $aether_Main_Settings);
        }
    }
}

function aether_repeat_time_restricted_shortcode( $atts, $content = '' ) {
	extract( shortcode_atts(
		array(
            'hide_content' => '',
			'type' => 'monthly',
			'ontime' => '00:00:00',
			'offtime' => '23:59:59',
			'onday' => '',
			'offday' => '',
			'ondate' => '',
			'offdate' => '',
			'onmonth' => '',
			'offmonth' => '',
			'replacement' => '',
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
	$showit = 0;

	$onwday = date( 'w', strtotime( ucfirst( $onday ) ) );
	$offwday = date( 'w', strtotime( ucfirst( $offday ) ) );
	$onmonth = date( 'n', strtotime( $onmonth ) );
	$offmonth = date( 'n', strtotime( $offmonth ) );

	$todaysday = date( 'w', current_time( 'timestamp' ) ); 
	$todaysdate = date( 'j', current_time( 'timestamp' ) );
	$todaysmonth = date( 'n', current_time( 'timestamp' ) );
	$currenttime = date( 'H:i:s', current_time( 'timestamp' ) );

	if ( 'annually' === $type && ( empty( $ondate ) || empty( $offdate ) || empty( $onmonth ) || empty( $offmonth ) ) ) {
		$showit = 1;
	} elseif ( 'annually' === $type && $onmonth < $offmonth ) {
		if ( $onmonth < $todaysmonth && $offmonth > $todaysmonth ) {
			$showit = 1;
		} elseif ( $onmonth === $todaysmonth ) { 
			if ( $ondate < $todaysdate ) {
				$showit = 1;
			} elseif ( $ondate === $todaysdate && $ontime < $currenttime ) {
				$showit = 1;
			}
		} elseif ( $offmonth === $todaysmonth ) {
			if ( $offdate > $todaysdate ) {
				$showit = 1;
			} elseif ( $offdate === $todaysdate && $offtime > $currenttime ) { 
				$showit = 1;
			}
		}
	} elseif ( 'annually' === $type && $onmonth > $offmonth ) { 
		if ( $onmonth < $todaysmonth || $offmonth > $todaysmonth ) {
			$showit = 1;
		} elseif ( $onmonth === $todaysmonth ) {
			if ( $ondate < $todaysdate ) {
				$showit = 1;
			} elseif ( $ondate === $todaysdate && $ontime < $currenttime ) {
				$showit = 1;
			}
		} elseif ( $offmonth === $todaysmonth ) {
			if ( $offdate > $todaysdate ) {
				$showit = 1;
			} elseif ( $offdate === $todaysdate && $offtime > $currenttime ) {
				$showit = 1;
			}
		}
	} elseif ( 'annually' === $type && $onmonth === $offmonth && $onmonth === $todaysmonth ) { 
		if ( $ondate < $todaysdate ) {
			if ( $offdate > $todaysdate ) {
				$showit = 1;
			} elseif ( $offdate < $ondate ) { 
				$showit = 1;
			} elseif ( $offdate === $todaysdate && $offtime > $currenttime ) { 
				$showit = 1;
			} elseif ( $ondate === $offdate && $offdate !== $todaysdate && $offtime < $ontime ) { 
				$showit = 1;
			}
		} elseif ( $ondate > $todaysdate ) {
			if ( $offdate < $ondate && $offdate > $todaysdate ) { 
				$showit = 1;
			} elseif ( $offdate === $todaysdate && $offtime > $currenttime ) { 
				$showit = 1;
			} elseif ( $ondate === $offdate && $offdate !== $todaysdate && $offtime < $ontime ) { 
				$showit = 1;
			}
		} elseif ( $ondate === $todaysdate ) {
			if ( $offdate > $todaysdate && $ontime < $currenttime ) { 
				$showit = 1;
			} elseif ( $offdate < $todaydate && $ontime < $currenttime ) { 
				$showit = 1;
			} elseif ( $offdate === $todaysdate && $ontime < $currenttime && $offtime > $currenttime ) { 
				$showit = 1;
			} elseif ( $offdate === $todaysdate && $ontime > $offtime && $ontime < $currenttime ) { 
				$showit = 1;
			} elseif ( $offdate === $todaysdate && $ontime > $offtime && $offtime > $currenttime ) { 
				$showit = 1;
			}
		}
	} elseif ( 'annually' === $type && $onmonth === $offmonth && $onmonth !== $todaysmonth && $offdate < $ondate ) {
		$showit = 1;
	} elseif ( 'annually' === $type && $onmonth === $offmonth && $onmonth !== $todaysmonth && $offdate === $ondate && $offtime < $ontime ) { 
		$showit = 1;
	}

	if ( 'monthly' === $type && ( empty( $ondate ) || empty( $offdate ) ) ) { 
		$showit = 1;
	} elseif ( 'monthly' === $type && $ondate < $offdate ) { 
		if ( $ondate < $todaysdate && $offdate > $todaysdate ) { 
			$showit = 1;
		} elseif ( $ondate === $todaysdate && $ontime < $currenttime ) {
			$showit = 1;
		} elseif ( $offdate === $todaysdate && $offtime > $currenttime ) {
			$showit = 1;
		}
	} elseif ( 'monthly' === $type && $ondate > $offdate ) {
		if ( $ondate < $todaysdate || $offdate < $todaysdate ) { 
			$showit = 1;
		} elseif ( $ondate === $todaysdate && $ontime < $currenttime ) {
			$showit = 1;
		} elseif ( $offdate === $todaysdate && $offtime > $currenttime ) { 
			$showit = 1;
		}
	} elseif ( 'monthly' === $type && $ondate === $offdate && $ondate === $todaysdate && $ontime < $currenttime && $offtime > $currenttime ) { 
		$showit = 1;
	}

	if ( 'weekly' === $type && ( empty( $onday ) || empty( $offday ) ) ) {
		$showit = 1;
	} elseif ( 'weekly' === $type && $onwday < $offwday ) {
		if ( $onwday < $todaysday && $offwday > $todaysday ) {
			$showit = 1;
		} elseif ( $onwday === $todaysday && $ontime < $currenttime ) {
			$showit = 1;
		} elseif ( $offwday === $todaysday && $offtime > $currenttime ) {
			$showit = 1;
		}
	} elseif ( 'weekly' === $type && $onwday > $offwday ) {
		if ( $onwday < $todaysday || $offwday > $todaysday ) {
			$showit = 1;
		} elseif ( $onwday === $todaysday && $ontime < $currenttime ) {
			$showit = 1;
		} elseif ( $offwday === $todaysday && $offtime > $currenttime ) {
			$showit = 1;
		}
	} elseif ( 'weekly' === $type && $onwday === $offwday && $onwday === $todaysday && $ontime < $currenttime && $offtime > $currenttime ) { 
		$showit = 1;
	}

	if ( 'daily' === $type && ( empty( $ontime ) || empty( $offtime ) ) ) {
		$showit = 1;
	} elseif ( 'daily' === $type && $ontime < $offtime ) {
		if ( $ontime < $currenttime && $currenttime < $offtime ) {
			$showit = 1;
		}
	} elseif ( 'daily' === $type && $ontime > $offtime ) {
		if ( $ontime < $currenttime || $currenttime < $offtime ) {
			$showit = 1;
		}
	}

	if ( 1 === $showit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}

	return '';
}

function aether_time_restricted_shortcode( $atts, $content  = '') {
	extract( shortcode_atts(
		array(
			'hide_content' => '',
			'show' => '',
			'hide' => '',
			'replacement' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
	$showit = 0;
	$hideit = 1;
	if ( empty( $show ) || strtotime( $show ) < current_time( 'timestamp' ) ) {
		$showit = 1;
	}
	if ( empty( $hide ) || strtotime( $hide ) > current_time( 'timestamp' ) ) {
		$hideit = 0;
	}
	if ( 1 === $showit && 0 === $hideit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}
function aether_get_web_page($url)
{
    $content = false;
    $args = array(
       'timeout'     => 10,
       'redirection' => 10,
       'user-agent'  => 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36',
       'blocking'    => true,
       'headers'     => array(),
       'cookies'     => array(),
       'body'        => null,
       'compress'    => false,
       'decompress'  => true,
       'sslverify'   => false,
       'stream'      => false,
       'filename'    => null
    );
    $ret_data            = wp_remote_get(html_entity_decode($url), $args);  
    $response_code       = wp_remote_retrieve_response_code( $ret_data );
    $response_message    = wp_remote_retrieve_response_message( $ret_data );        
    if ( 200 != $response_code ) {
    } else {
        $content = wp_remote_retrieve_body( $ret_data );
    }
    if($content === false)
    {
        if(function_exists('curl_version') && filter_var($url, FILTER_VALIDATE_URL))
        {
            $user_agent = 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36';
            $options    = array(
                        CURLOPT_CUSTOMREQUEST => "GET",
                        CURLOPT_COOKIEJAR => 'aethercookie.txt',
                        CURLOPT_COOKIEFILE => 'aethercookie.txt',
                        CURLOPT_POST => false,
                        CURLOPT_USERAGENT => $user_agent,
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_AUTOREFERER => true,
                        CURLOPT_CONNECTTIMEOUT => 10,
                        CURLOPT_TIMEOUT => 10,
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_REFERER => 'https://www.google.com/',
                        CURLOPT_SSL_VERIFYHOST => false,
                        CURLOPT_SSL_VERIFYPEER => false
            );
            $ch = curl_init($url);
            if($ch === FALSE)
            {
                return false;
            }
            curl_setopt_array($ch, $options);
            $content = curl_exec($ch);
            curl_close($ch);
        }
        else
        {
            $allowUrlFopen = preg_match('/1|yes|on|true/i', ini_get('allow_url_fopen'));
            if ($allowUrlFopen) {
                global $wp_filesystem;
                if ( ! is_a( $wp_filesystem, 'WP_Filesystem_Base') ){
                    include_once(ABSPATH . 'wp-admin/includes/file.php');$creds = request_filesystem_credentials( site_url() );
                    wp_filesystem($creds);
                }
                return $wp_filesystem->get_contents($url);
            }
        }
    }
    return $content;
}
function aether_ip_info($ip = NULL, $purpose = "location", $deep_detect = TRUE) {
    $output = NULL;
    if (filter_var($ip, FILTER_VALIDATE_IP) === FALSE) {
        $ip = $_SERVER["REMOTE_ADDR"];
        if ($deep_detect) {
            if (filter_var($_SERVER['HTTP_X_FORWARDED_FOR'], FILTER_VALIDATE_IP))
                $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
            if (filter_var($_SERVER['HTTP_CLIENT_IP'], FILTER_VALIDATE_IP))
                $ip = $_SERVER['HTTP_CLIENT_IP'];
        }
    }
    $purpose    = str_replace(array("name", "\n", "\t", " ", "-", "_"), NULL, strtolower(trim($purpose)));
    $support    = array("country", "countrycode", "state", "region", "city", "location", "address");
    $continents = array(
        "AF" => "Africa",
        "AN" => "Antarctica",
        "AS" => "Asia",
        "EU" => "Europe",
        "OC" => "Australia (Oceania)",
        "NA" => "North America",
        "SA" => "South America"
    );
    if (filter_var($ip, FILTER_VALIDATE_IP) && in_array($purpose, $support)) {
        global $wp_filesystem;
        if ( ! is_a( $wp_filesystem, 'WP_Filesystem_Base') ){
            include_once(ABSPATH . 'wp-admin/includes/file.php');$creds = request_filesystem_credentials( site_url() );
            wp_filesystem($creds);
        }
        $ip_inf = $wp_filesystem->get_contents("http://www.geoplugin.net/json.gp?ip=" . $ip);
        $ipdat = json_decode($ip_inf);
        if($ipdat === false)
        {
            $ipdat = json_decode(aether_get_web_page("http://www.geoplugin.net/json.gp?ip=" . $ip));
        }
        if ($ipdat !== false && isset($ipdat->geoplugin_countryCode) && strlen(trim($ipdat->geoplugin_countryCode)) == 2) {
            switch ($purpose) {
                case "location":
                    $output = array(
                        "city"           => $ipdat->geoplugin_city,
                        "state"          => $ipdat->geoplugin_regionName,
                        "country"        => $ipdat->geoplugin_countryName,
                        "country_code"   => $ipdat->geoplugin_countryCode,
                        "continent"      => $continents[strtoupper($ipdat->geoplugin_continentCode)],
                        "continent_code" => $ipdat->geoplugin_continentCode
                    );
                    break;
                case "address":
                    $address = array($ipdat->geoplugin_countryName);
                    if (strlen($ipdat->geoplugin_regionName) >= 1)
                        $address[] = $ipdat->geoplugin_regionName;
                    if (strlen($ipdat->geoplugin_city) >= 1)
                        $address[] = $ipdat->geoplugin_city;
                    $output = implode(", ", array_reverse($address));
                    break;
                case "city":
                    $output = $ipdat->geoplugin_city;
                    break;
                case "state":
                    $output = $ipdat->geoplugin_regionName;
                    break;
                case "region":
                    $output = $ipdat->geoplugin_regionName;
                    break;
                case "country":
                    $output = $ipdat->geoplugin_countryName;
                    break;
                case "countrycode":
                    $output = $ipdat->geoplugin_countryCode;
                    break;
            }
        }
    }
    return $output;
}
$aether_Main_Settings = get_option('aether_Main_Settings', false);
if (isset($aether_Main_Settings['aether_enabled']) && $aether_Main_Settings['aether_enabled'] == 'on') {
    add_shortcode( 'aether-hide-by-time-repeated', 'aether_repeat_time_restricted_shortcode' );
    add_shortcode( 'aether-hide-by-time', 'aether_time_restricted_shortcode' );
    add_shortcode( 'aether-hide-not-logedin', 'aether_user_restricted_shortcode' );
    add_shortcode( 'aether-hide-logedin', 'aether_user_restricted_shortcode2' );
    add_shortcode( 'aether-hide-mobile', 'aether_mobile_restricted_shortcode' );
    add_shortcode( 'aether-hide-by-comment', 'aether_comment_restricted_shortcode' );
    add_shortcode( 'aether-hide-by-browser', 'aether_browser_restricted_shortcode' );
    add_shortcode( 'aether-hide-by-user-name', 'aether_user_name_restricted_shortcode' );
    add_shortcode( 'aether-hide-by-user-role', 'aether_user_role_restricted_shortcode' );
    add_shortcode( 'aether-hide-by-country', 'aether_country_restricted_shortcode' );
    add_shortcode( 'aether-hide-by-referrer', 'aether_referrer_restricted_shortcode' );
}
else
{
    add_shortcode( 'aether-hide-by-time-repeated', 'aether_blank_func' );
    add_shortcode( 'aether-hide-by-time', 'aether_blank_func' );
    add_shortcode( 'aether-hide-not-logedin', 'aether_blank_func' );
    add_shortcode( 'aether-hide-logedin', 'aether_blank_func' );
    add_shortcode( 'aether-hide-mobile', 'aether_blank_func' );
    add_shortcode( 'aether-hide-by-comment', 'aether_blank_func' );
    add_shortcode( 'aether-hide-by-browser', 'aether_blank_func' );
    add_shortcode( 'aether-hide-by-user-name', 'aether_blank_func' );
    add_shortcode( 'aether-hide-by-user-role', 'aether_blank_func' );
    add_shortcode( 'aether-hide-by-country', 'aether_blank_func' );
    add_shortcode( 'aether-hide-by-referrer', 'aether_blank_func' );
}

add_action( 'enqueue_block_editor_assets', 'aether_enqueue_block_editor_assets' );
function aether_enqueue_block_editor_assets() {
    wp_register_style('aether-browser-style', plugins_url('styles/aether-browser.css', __FILE__), false, '1.0.0');
    wp_enqueue_style('aether-browser-style');
	$block_js_display   = 'scripts/time-repeated.js';
	wp_enqueue_script(
		'aether-time-repeated-block-js', 
        plugins_url( $block_js_display, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/time.js';
	wp_enqueue_script(
		'aether-time-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/not-logedin.js';
	wp_enqueue_script(
		'aether-not-logedin-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/logedin.js';
	wp_enqueue_script(
		'aether-logedin-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/mobile.js';
	wp_enqueue_script(
		'aether-mobile-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/comment.js';
	wp_enqueue_script(
		'aether-comment-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/browser.js';
	wp_enqueue_script(
		'aether-browser-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/user.js';
	wp_enqueue_script(
		'aether-user-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/role.js';
	wp_enqueue_script(
		'aether-role-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/country.js';
	wp_enqueue_script(
		'aether-country-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
    $block_js_list   = 'scripts/referrer.js';
	wp_enqueue_script(
		'aether-referrer-block-js', 
        plugins_url( $block_js_list, __FILE__ ), 
        array(
			'wp-blocks',
			'wp-i18n',
			'wp-element',
		),
        '1.0.0'
	);
}
add_action('init', 'aether_init_func', 0);
function aether_init_func()
{
    if ( function_exists( 'register_block_type' ) ) {
        $aether_Main_Settings = get_option('aether_Main_Settings', false);
        if (isset($aether_Main_Settings['aether_enabled']) && $aether_Main_Settings['aether_enabled'] == 'on') {
            register_block_type( 'aether-content-hider/aether-time-repeated', array(
                'render_callback' => 'aether_repeat_time_restricted_shortcode',
            ) );
            register_block_type( 'aether-content-hider/aether-time', array(
                'render_callback' => 'aether_time_restricted_shortcode',
            ) );
            register_block_type( 'aether-content-hider/aether-not-logedin', array(
                'render_callback' => 'aether_user_restricted_shortcode',
            ) );
            register_block_type( 'aether-content-hider/aether-logedin', array(
                'render_callback' => 'aether_user_restricted_shortcode2',
            ) );
            register_block_type( 'aether-content-hider/aether-mobile', array(
                'render_callback' => 'aether_mobile_restricted_shortcode',
            ) );
            register_block_type( 'aether-content-hider/aether-comment', array(
                'render_callback' => 'aether_comment_restricted_shortcode',
            ) );
            register_block_type( 'aether-content-hider/aether-browser', array(
                'render_callback' => 'aether_browser_restricted_shortcode',
            ) );
            register_block_type( 'aether-content-hider/aether-user', array(
                'render_callback' => 'aether_user_name_restricted_shortcode',
            ) );
            register_block_type( 'aether-content-hider/aether-role', array(
                'render_callback' => 'aether_user_role_restricted_shortcode',
            ) );
            register_block_type( 'aether-content-hider/aether-country', array(
                'render_callback' => 'aether_country_restricted_shortcode',
            ) );
            register_block_type( 'aether-content-hider/aether-referrer', array(
                'render_callback' => 'aether_referrer_restricted_shortcode',
            ) );
        }
        else
        {
            register_block_type( 'aether-content-hider/aether-time-repeated', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-time', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-not-logedin', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-logedin', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-mobile', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-comment', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-browser', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-user', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-role', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-country', array(
                'render_callback' => 'aether_blank_func',
            ) );
            register_block_type( 'aether-content-hider/aether-referrer', array(
                'render_callback' => 'aether_blank_func',
            ) );
        }
    }
}
function aether_blank_func()
{
    return '';
}
function aether_country_restricted_shortcode( $atts, $content  = '') {
	extract( shortcode_atts(
		array(
            'hide_content' => '',
			'user_countries' => '',
			'replacement' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
    if($user_countries == '')
    {
        return '';
    }
    $user = wp_get_current_user();
    $user_countries = explode(',', $user_countries);
    $showit = 0;
    $user_country = aether_ip_info("Visitor", "Country");
    foreach($user_countries as $uc)
    {
        $uc = trim($uc);
        if (strtolower($user_country) == strtolower($uc))
        {
            $showit = 1;
            break;
        }
    }

	if ( 1 === $showit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}
function aether_referrer_restricted_shortcode( $atts, $content  = '') {
	extract( shortcode_atts(
		array(
            'hide_content' => '',
			'user_referrer' => '',
			'replacement' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
    if($user_referrer == '')
    {
        return '';
    }
    $user_referrer = explode(',', $user_referrer);
    $user_referrer = array_map('trim', $user_referrer);
    $showit = 0;
    if(isset($_SERVER["HTTP_REFERER"]))
    {
        if(in_array(trim($_SERVER["HTTP_REFERER"]), $user_referrer))
        {
            $showit = 1;
        }
    }

	if ( 1 === $showit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}
function aether_user_role_restricted_shortcode( $atts, $content  = '') {
	extract( shortcode_atts(
		array(
            'hide_content' => '',
			'user_roles' => '',
			'replacement' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
    if($user_roles == '')
    {
        return '';
    }
    $user = wp_get_current_user();
    $user_roles = explode(',', $user_roles);
    $showit = 0;
    foreach($user_roles as $ur)
    {
        $ur = trim($ur);
        if ( in_array( $ur, (array) $user->roles ) )
        {
            $showit = 1;
            break;
        }
    }

	if ( 1 === $showit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}
function aether_user_name_restricted_shortcode( $atts, $content  = '') {
    global $current_user;
    get_currentuserinfo();
	extract( shortcode_atts(
		array(
            'hide_content' => '',
			'user_names' => '',
			'replacement' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
    if($user_names == '')
    {
        return '';
    }
    $user_names = explode(',', $user_names);
    $showit = 0;
    foreach($user_names as $un)
    {
        $un = trim($un);
        if($current_user->user_login == $un)
        {
            $showit = 1;
            break;
        }
    }

	if ( 1 === $showit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}
function aether_user_restricted_shortcode( $atts, $content  = '') {
	extract( shortcode_atts(
		array(
			'hide_content' => '',
			'replacement' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
	$showit = 0;
    if(is_user_logged_in())
    {
        $showit = 1;
    }
	if ( 1 === $showit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}
function aether_user_restricted_shortcode2( $atts, $content  = '') {
	extract( shortcode_atts(
		array(
			'hide_content' => '',
			'replacement' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
	$showit = 1;
    if(is_user_logged_in())
    {
        $showit = 0;
    }
	if ( 1 === $showit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}
function aether_browser_restricted_shortcode( $atts, $content  = '') {
	extract( shortcode_atts(
		array(
            'hide_content' => '',
			'show_on' => 'chrome',
			'replacement' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
    if (!isset($_SERVER['HTTP_USER_AGENT'])) {
        return '';
    }
    if($show_on == '')
    {
        return '';
    }
    $show_on = explode(',', $show_on);
    $show_me = false;
    foreach($show_on as $so)
    {
        if(strtolower(trim($so)) == 'chrome')
        {
            if(preg_match('/(Chrome|CriOS)\//i',$_SERVER['HTTP_USER_AGENT'])
             && !preg_match('/(Aviator|ChromePlus|coc_|Dragon|Edge|Flock|Iron|Kinza|Maxthon|MxNitro|Nichrome|OPR|Perk|Rockmelt|Seznam|Sleipnir|Spark|UBrowser|Vivaldi|WebExplorer|YaBrowser)/i',$_SERVER['HTTP_USER_AGENT'])){
                $show_me = true;
            }
        }
        elseif(strtolower(trim($so)) == 'firefox')
        {
            if (strlen(stristr($_SERVER['HTTP_USER_AGENT'], 'firefox')) > 0) {
                $show_me = true;
            }
        }
        elseif(strtolower(trim($so)) == 'opera')
        {
            if (strlen(stristr($_SERVER['HTTP_USER_AGENT'], 'opr')) > 0) {
                $show_me = true;
            }
        }
        elseif(strtolower(trim($so)) == 'ie')
        {
            if ((strlen(stristr($_SERVER['HTTP_USER_AGENT'], 'msie')) > 0) || (strlen(stristr($_SERVER['HTTP_USER_AGENT'], 'trident')) > 0)) {
                $show_me = true;
            }
        }
        elseif(strtolower(trim($so)) == 'edge')
        {
            if ((strlen(stristr($_SERVER['HTTP_USER_AGENT'], 'edge')) > 0)) {
                $show_me = true;
            }
        }
    }
	if ( true === $show_me ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}

function aether_mobile_restricted_shortcode( $atts, $content  = '') {
	extract( shortcode_atts(
		array(
			'hide_content' => '',
			'replacement' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
	$showit = 0;
    if(wp_is_mobile())
    {
        $showit = 1;
    }
	if ( 1 === $showit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}


function aether_comment_restricted_shortcode( $atts, $content  = '') {
    global $post;
	extract( shortcode_atts(
		array(
            'hide_content' => '',
			'min_lenght' => '',
            'max_lenght' => '',
            'anti_spam' => '',
			'replacement' => '',
            'link_exceptions' => ''
		), $atts )
	);
    if($hide_content != '')
    {
        $content = $hide_content;
    }
	$showit = 0;
    $no_spam = false;
    $user_comments = aether_has_commented_on_post($post->ID);
    if(is_array($user_comments) && count($user_comments) > 0)
    {
        if($anti_spam == 'yes' || $anti_spam == 'on' || $anti_spam == '1')
        {
            $no_spam = true;
        }
        if(is_numeric($min_lenght) && is_numeric($max_lenght))
        {
            foreach($user_comments as $uc)
            {
                $comm_count = strlen($uc->comment_content);
                if($comm_count > $min_lenght)
                {
                    if($comm_count < $max_lenght)
                    {
                        if($no_spam == true)
                        {
                            $has_link = stristr($uc->comment_content, 'http://') || stristr($uc->comment_content, 'https://');
                            if($has_link === false)
                            {
                                $showit = 1;
                            }
                            else
                            {
                                if($link_exceptions != '')
                                {
                                    $link_exceptions = explode(',', $link_exceptions);
                                    $all_ok = 0;
                                    preg_match_all('#\bhttps?:\/\/[^,"\'\s()<>]+#', $uc->comment_content, $match);
                                    foreach($match[0] as $m)
                                    {
                                        foreach($link_exceptions as $le)
                                        {
                                            $le = trim($le);
                                            if(stristr($m, $le) !== false)
                                            {
                                                $all_ok++;
                                                break;
                                            }
                                        }
                                    }
                                    if(count($match[0]) == $all_ok && $all_ok != 0)
                                    {
                                        $showit = 1;
                                    }
                                }
                            }
                        }
                        else
                        {
                            $showit = 1;
                        }
                    }
                }
            }
        }
        elseif(is_numeric($min_lenght))
        {
            foreach($user_comments as $uc)
            {
                $comm_count = strlen($uc->comment_content);
                if($comm_count > $min_lenght)
                {
                    if($no_spam == true)
                    {
                        $has_link = stristr($uc->comment_content, 'http://') || stristr($uc->comment_content, 'https://');
                        if($has_link === false)
                        {
                            $showit = 1;
                        }
                    }
                    else
                    {
                        $showit = 1;
                    }
                }
            }
        }
        elseif(is_numeric($max_lenght))
        {
            foreach($user_comments as $uc)
            {
                $comm_count = strlen($uc->comment_content);
                if($comm_count < $max_lenght)
                {
                    if($no_spam == true)
                    {
                        $has_link = stristr($uc->comment_content, 'http://') || stristr($uc->comment_content, 'https://');
                        if($has_link === false)
                        {
                            $showit = 1;
                        }
                    }
                    else
                    {
                        $showit = 1;
                    }
                }
            }
        }
        elseif($no_spam === true)
        {
            foreach($user_comments as $uc)
            {
                $has_link = stristr($uc->comment_content, 'http://') || stristr($uc->comment_content, 'https://');
                if($has_link === false)
                {
                    $showit = 1;
                }
            }
        }
        else
        {
            $showit = 1;
        }
    }
	if ( 1 === $showit ) {
		return do_shortcode( $content );
	} elseif ( ! empty( $replacement ) ) {
		return wp_kses_post( html_entity_decode($replacement) );
	}
	return '';
}

function aether_enqueue_plugin_scripts($plugin_array)
{
    $plugin_array["hide_by_comment"] =  plugin_dir_url(__FILE__) . "res/aether-js.js";
    return $plugin_array;
}
add_filter("mce_external_plugins", "aether_enqueue_plugin_scripts");

function aether_register_buttons_editor($buttons)
{
    array_push($buttons, "green");
    array_push($buttons, "red");
    array_push($buttons, "brown");
    array_push($buttons, "blue");
    array_push($buttons, "yellow");
    array_push($buttons, "black");
    array_push($buttons, "new");
    array_push($buttons, "new1");
    array_push($buttons, "new2");
    array_push($buttons, "new3");
    return $buttons;
}

add_filter("mce_buttons", "aether_register_buttons_editor");

register_activation_hook(__FILE__, 'aether_check_version');
function aether_check_version()
{
    if (!function_exists('curl_init')) {
        echo '<h3>'.esc_html__('Please enable curl PHP extension. Please contact your hosting provider\'s support to help you in this matter.', 'aether-content-hider').'</h3>';
        die;
    }
    global $wp_version;
    if (!current_user_can('activate_plugins')) {
        echo '<p>' . esc_html__('You are not allowed to activate plugins!', 'aether-content-hider') . '</p>';
        die;
    }
    $php_version_required = '5.0';
    $wp_version_required  = '2.7';
    
    if (version_compare(PHP_VERSION, $php_version_required, '<')) {
        deactivate_plugins(basename(__FILE__));
        echo '<p>' . sprintf(esc_html__('This plugin can not be activated because it requires a PHP version greater than %1$s. Please update your PHP version before you activate it.', 'aether-content-hider'), $php_version_required) . '</p>';
        die;
    }
    
    if (version_compare($wp_version, $wp_version_required, '<')) {
        deactivate_plugins(basename(__FILE__));
        echo '<p>' . sprintf(esc_html__('This plugin can not be activated because it requires a WordPress version greater than %1$s. Please go to Dashboard -> Updates to get the latest version of WordPress.', 'aether-content-hider'), $wp_version_required) . '</p>';
        die;
    }
}

add_action('admin_init', 'aether_register_mysettings');
function aether_register_mysettings()
{
    if ( !defined( 'COOKIEHASH' ) ) {
        $siteurl = get_site_option( 'siteurl' );
        if ( $siteurl )
            define( 'COOKIEHASH', md5( $siteurl ) );
        else
            define( 'COOKIEHASH', '' );
    }
    register_setting('aether_option_group', 'aether_Main_Settings');
    if (is_multisite()) {
        if (!get_option('aether_Main_Settings')) {
            aether_activation_callback(TRUE);
        }
    }
}

function aether_has_commented_on_post( $post_id = false, $user_id = false ) {
    
    $args = array( 'count' => false );
    if ( $post_id )
        $args['post_id'] = $post_id;
    elseif( get_the_ID() )
        $args['post_id'] = get_the_ID();
    else
        return false;
    if ( $user_id )
        $args['user_id'] = $user_id;
    elseif ( is_user_logged_in() )
        $args['user_id'] = get_current_user_id();
    elseif ( isset( $_COOKIE[ 'comment_author_email_' . COOKIEHASH ] ) )
        $args['author_email'] = urldecode( $_COOKIE[ 'comment_author_email_' . COOKIEHASH ] );
    else
        return false;
    return get_comments( $args );
}
function aether_load_all_admin_js(){
    add_action('admin_enqueue_scripts', 'aether_admin_load_files');
}
function aether_admin_load_files()
{
    wp_register_style('aether-browser-style', plugins_url('styles/aether-browser.css', __FILE__), false, '1.0.0');
    wp_enqueue_style('aether-browser-style');
    wp_enqueue_script('jquery');
    wp_enqueue_script('aether-main-script', plugins_url('scripts/main.js', __FILE__), array('jquery'));
    wp_register_style('aether-custom-style', plugins_url('styles/coderevolution-style.css', __FILE__), false, '1.0.0');
    wp_enqueue_style('aether-custom-style');
    wp_enqueue_style('coderevolution-front-css', plugins_url('styles/coderevolution-front.css', __FILE__));
}

require(dirname(__FILE__) . "/res/aether-main.php");
?>